Package org.apache.commons.cli

# Enum DefaultParser.NonOptionAction

java.lang.Object
java.lang.Enum<DefaultParser.NonOptionAction>
org.apache.commons.cli.DefaultParser.NonOptionAction

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultParser.NonOptionAction>`

Enclosing class:
  `DefaultParser`

public static enum DefaultParser.NonOptionAction extends Enum<DefaultParser.NonOptionAction>
Enum representing possible actions that may be done when "non option" is discovered during parsing.

Since:
  1.10.0

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IGNORE`
  Parsing continues and current token is ignored.
  `SKIP`
  Parsing continues and current token is added to command line arguments.
  `STOP`
  Parsing will stop and remaining tokens are added to command line arguments.
  `THROW`
  Parsing will abort and exception is thrown.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultParser.NonOptionAction`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DefaultParser.NonOptionAction[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IGNORE

    public static final DefaultParser.NonOptionAction IGNORE
    Parsing continues and current token is ignored.

  - ### SKIP

    public static final DefaultParser.NonOptionAction SKIP
    Parsing continues and current token is added to command line arguments.

  - ### STOP

    public static final DefaultParser.NonOptionAction STOP
    Parsing will stop and remaining tokens are added to command line arguments. Equivalent of `stopAtNonOption = true`.

  - ### THROW

    public static final DefaultParser.NonOptionAction THROW
    Parsing will abort and exception is thrown. Equivalent of `stopAtNonOption = false`.

- ## Method Details

  - ### values

    public static DefaultParser.NonOptionAction[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DefaultParser.NonOptionAction valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null